/* $Id: mpc.h,v 1.2 2006/01/18 12:01:33 cvsroot Exp $ */

/* GenLib2 - General Library 2
 * Copyright (C) 2005 Dirk Stallmann
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef GENLIB2_MPC_INCLUDED
#define GENLIB2_MPC_INCLUDED

// pi
#ifndef M_PI
#define M_PI		3.14159265358979323846
#endif

// pi/2
#ifndef M_PI_2
#define M_PI_2		1.57079632679489661923
#endif

// pi/4
#ifndef M_PI_4
#define M_PI_4		0.78539816339744830962
#endif

namespace GenLib2
{
// constants...

const double sqrt2 = 1.4142135623730950488;	  // square root of 2 (M_SQRT2)
const double sqrt3 = 1.7320508075688772935;   // square root of 3

const double rho_deg = 180. / M_PI;		// radian to degree conversion factor
const double rho_min = rho_deg * 60.;	// radian to minutes conversion factor
const double rho_sec = rho_min * 60.;	// radian to seconds conversion factor
const double rho_gon = 200. / M_PI;		// radian to gon conversion factor


// mathematical functions...

} // namespace GenLib2

#endif /* GENLIB2_MPC_INCLUDED */
